## wiki-monkey-5.5.3.tar.gz

=== requirements.txt ===
# Keep in sync with setup.py's install_requires option and PKGBUILD
# https://packaging.python.org/discussions/install-requires-vs-requirements
apispec==3.3.1
apispec-webframeworks==0.5.2
configfile==1.2.4
Flask-Cors==3.0.9
flask-marshmallow==0.13.0
Flask-Migrate==2.5.3
flask-restinpeace==1.4.0
Flask-SQLAlchemy==2.4.4
# gunicorn is required only if using the wrapping WSGI server, recommended in
# production applications https://flask.palletsprojects.com/en/2.0.x/api/#flask.Flask.run
gunicorn==20.1.0
marshmallow-sqlalchemy==0.23.1
# pyOpenSSL is required only if using an ad-hoc certificate
pyOpenSSL==19.1.0
pyxdg==0.26

=== auxiliary/PKGBUILD ===
# Maintainer: Dario Giovannetti <dev at dariogiovannetti dot net>

pkgname='wiki-monkey'
# Don't use "-" in pkgver
pkgver='5.5.3'
pkgrel=1
pkgdesc="Wiki Monkey - MediaWiki (ArchWiki-optimized) bot and editor-assistant user script (server-enabled version)."
arch=('any')
url="https://github.com/kynikos/wiki-monkey/wiki"
license=('GPL3')
# Keep in sync with setup.py's install_requires option and requirements.txt
depends=('python-configfile'
         'python-pyxdg'
         'python-flask-restinpeace' # implies 'python-flask-marshmallow', 'python-apispec' and 'python-apispec-webframeworks'
         'python-flask-cors'
         'python-flask-migrate' # implies 'python-flask-sqlalchemy'
         'python-marshmallow-sqlalchemy')
optdepends=("gunicorn: serve the application with a proper WSGI server instead of Flask's local development server"
            "python-pyopenssl: make Flask's local development server use ad-hoc SSL certificates instead of a permanent one")
makedepends=('python-setuptools')
source=("https://files.pythonhosted.org/packages/source/${pkgname::1}/${pkgname}/${pkgname}-${pkgver}.tar.gz")
sha256sums=('ee1cc65890c4e5415505696333041914781e4c65b8ade70a04d331cc85c4876e')

package() {
    cd "${srcdir}/${pkgname}-${pkgver}"
    python setup.py install --root="${pkgdir}" --optimize=1
}
